POST api/Insured/InsuredAgencyLocation
Insured agency locations list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"1b81cae7-870e-48d3-bca7-862040ed353c",
"b03eb13f-fce1-4930-b7e1-98a0e33c3a39"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>1b81cae7-870e-48d3-bca7-862040ed353c</d2p1:guid>
<d2p1:guid>b03eb13f-fce1-4930-b7e1-98a0e33c3a39</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of InsuredAgencyLocation against given insured database Ids.
InsuredAgencyLocation| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| LocationName | string |
None. |
|
| LocationBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "82fc3b51-3f03-4c7b-9e5b-c35b79e6985e",
"locationName": "sample string 2",
"locationBusinessName": "sample string 3",
"insuredDatabaseId": "6d7adc62-8728-49e1-be3a-2feca4ac23ef"
}
application/xml, text/xml
Sample:
<InsuredAgencyLocation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>82fc3b51-3f03-4c7b-9e5b-c35b79e6985e</DatabaseId> <InsuredDatabaseId>6d7adc62-8728-49e1-be3a-2feca4ac23ef</InsuredDatabaseId> <LocationBusinessName>sample string 3</LocationBusinessName> <LocationName>sample string 2</LocationName> </InsuredAgencyLocation>